<!DOCTYPE html>
<html>
<body>

  <label for="fname">1º palabra:</label>
  <input type="text" id="p1" name="pa1"><br><br>
  <label for="lname">2º palabra:</label>
  <input type="text" id="p2" name="pa2"><br><br>
  <label for="fname">3º palabra:</label>
  <input type="text" id="p3" name="pa3"><br><br>
  <label for="lname">4º palabra:</label>
  <input type="text" id="p4" name="pa4"><br><br>
  <label for="fname">5º palabra:</label>
  <input type="text" id="p5" name="pa5"><br><br>
  <input type="submit" onclick="myFunction()" value="Submit">

<p>Click the button to change the value of the text field.</p>

<p id="myText1"></p>

<script>
function createMap(){
  const letters = "ABCDEFGHIJKLMNOPQ";
  let r=0;
  const dimensio=20;
  let crucegama = new Array(dimensio);
  
  
  for (i=0; i<crucegama.length; i++){
    crucegama[i] = new Array(dimensio);
    for (j=0; j<crucegama[i].length; j++){
      

         r = Math.floor(Math.random() * 17);
        crucegama[i][j]=letters[r];

    }
}
return crucegama;
}


let m = createMap();

function myFunction(m) {
	

    
  let text = [document.getElementById("p1").value,
  				document.getElementById("p2").value,
                document.getElementById("p3").value,
                document.getElementById("p4").value,
                document.getElementById("p5").value];
  			
            //text[1].reverse();
            
  			 /*document.getElementById("myText1").innerHTML = reverseString(text[1]);
             document.getElementById("myText1").innerHTML = reverseString(text[2]);
             document.getElementById("myText1").innerHTML = reverseString(text[3]);
             document.getElementById("myText1").innerHTML = reverseString(text[4]);
             document.getElementById("myText1").innerHTML = reverseString(text[5]);*/
             
             for(var i=0; i < ; i++){
             	mapa[3][3]=text[1][0];
                mapa[3][4]=text[1][1];
                mapa[3][5]=text[1][2];
                mapa[3][6]=text[1][3];
                mapa[3][7]=text[1][4];
                mapa[3][8]=text[1][5];
             	document.getElementById("myText1").innerHTML += mapa[i] + '<br />';
                
             }
             

             document.write("<table style='border: 2px solid black; border-collapse: collapse;'>");
    for (let i = 0; i < files; i++) {
        document.write("<tr>");
        for (let j = 0; j < columnes; j++) {
            document.write("<td style='border: 2px solid black; text-align: center; font-size: 24px; padding: 8px;'>" + tauler[i][j] + "</td>");
        }
        document.write("</tr>");
    }
    document.write("</table>");
             
             
             
}

function reverseString(str) {
    return str.split("").reverse().join("");
}

</script>

</body>
</html>